{% extends 'base.html' %}

{% block title %}My Projects{% endblock title %}

{% block content %}
<main>
    <div>
        <h1>My Projects</h1>
        <p><a href="{% url 'create_project' %}">Create a new project</a></p>
        {% for project in list_projects %}
        <table>
                <th>Name</th>
                <th>Number of tasks</th>
            <tbody>
                <tr>
                    <td><a href ="{% url 'show_project' project.id  %}">{{ project.name }}</a></td>
                    <td>{{ project.tasks.all|length }}<td>
                </tr>
            </tbody>
        </table>
        {% empty %}
        <p>You are not assigned to any projects</p>
        {% endfor %}
    </div>
</main>


{% endblock content %}
